kaiming-builder (1.0.0-ok1k0.17) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.源码构建原生部署类应用
  * 其他改动影响域: 构建 

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 06 Nov 2025 17:00:45 +0800

kaiming-builder (1.0.0-ok1k0.16) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.新增清单属性kylin.unlink
                  2.一套源码构建生成多个开明包
  * 其他改动影响域: 构建 

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 20 Oct 2025 10:42:19 +0800

kaiming-builder (1.0.0-ok1k0.15) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: Debian源码转换功能base\runtime版本引发的问题修复
  * 其他改动影响域: 构建 

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 15 Oct 2025 13:51:54 +0800

kaiming-builder (1.0.0-ok1k0.14) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.新增清单属性kylin.uninstallkill、kylin.stopservice、kylin.rmdir
  * 其他改动影响域: 构建 

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 13 Oct 2025 14:17:29 +0800

kaiming-builder (1.0.0-ok1k0.13) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.环境变量设置
                  2./bin/sh-->/bin/bash
                  3.增加export_plugins
  * 其他改动影响域: 构建

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 24 Sep 2025 14:33:14 +0800

kaiming-builder (1.0.0-ok1k0.12) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 修改磐石架构判断接口
  * 其他改动影响域: 无

 -- lifengqi <lifengqi@kylinos.cn>  Tue, 02 Sep 2025 17:17:43 +0800

kaiming-builder (1.0.0-ok1k0.11) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. kaiming-builder工具中增加命令行选项--comp可以设置打包时压缩算法
                  2. 优化日志输出
                  3. kch -i、kch -c优化，没有配置git用户名和邮箱时，默认一个值
  * 其他改动影响域: 构建

 -- zhaominyong <zhaominyong@kylinos.cn>  Tue, 26 Aug 2025 16:51:43 +0800

kaiming-builder (1.0.0-ok1k0.10) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. 新增属性：kylin.gnu/kylin.polkit/kylin.desktop
  * 其他改动影响域: 无 

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 20 Aug 2025 17:31:54 +0800

kaiming-builder (1.0.0-ok1k0.9) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1. 去掉子命令query
                  2. vi打开changelog后默认光标在第3行
                  3. 保留depends引入的环境变量到info.json
  * 其他改动影响域: 无 

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 30 Jun 2025 10:15:39 +0800

kaiming-builder (1.0.0-ok1k0.8) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 476763 kaiming-builder工具需要支持yaml文件和源码混在同一目录中的场景
          477807 修改kaiming-builder的子命令create-from-debsource，改为在debian源码目录下生成kaiming/xxx.km.yaml,并拷贝debian/changelog到kaiming/changelog中
          479683 新增一个脚本，实现类似dpkg-buildpackage的功能：通过kaiming子目录进行构建，并将生成的ok包放到上层目录中
          481439 新增功能：kaiming-builder kch --create创建changelog
          481441 封装changelog操作类：解析、新增、添加等
          482643 新增功能：kaiming-builder kch -i新增changelog记录
          482743 增加kch子命令功能：--append增加changelog entry的变更说明	
          482745 增加kch子命令功能：--last-version显示最后一次变更的版本号
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 11 Jun 2025 16:35:11 +0800

kaiming-builder (1.0.0-ok1k0.7) v11-2603-preview; urgency=medium

  * BUG: #355617 【需求47043】【开明包】开明包构建的日志没有时间戳
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.断点构建增加支持场景：已经构建成功的项目，又增加了新的构建组件的场景
                  2.修复kaiming-builder enter子命令参数不生效问题
                  3.kaiming-builder build子命令增加指定构建结果存放路径的选项
                  4.--export-only、finish-only的优先级提高
                  5.ubuntu系统上日志适配;
                  6.id命名规则修改；
                  7.build-export阶段也加入缓存;
                  8.修复子命令create-from-debsource发现的几个问题；
  * 其他改动影响域: 构建

 -- caoxiansheng <caoxiansheng@kylinos.cn>  Sun, 01 Jun 2025 10:52:21 +0800

kaiming-builder (1.0.0-ok1k0.6) v11-2603-preview; urgency=medium

  * BUG: #355617 【需求47043】【开明包】开明包构建的日志没有时间戳
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.断点构建增加支持场景：已经构建成功的项目，又增加了新的构建组件的场景
                  2.修复kaiming-builder enter子命令参数不生效问题
                  3.kaiming-builder build子命令增加指定构建结果存放路径的选项
                  4.--export-only、finish-only的优先级提高
  * 其他改动影响域: 构建

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 21 May 2025 15:57:07 +0800

kaiming-builder (1.0.0-ok1k0.5) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 1.ubuntu系统上日志适配;
                  2.id命名规则修改；
                  3.build-export阶段也加入缓存;
                  4.修复子命令create-from-debsource发现的几个问题；
  * 其他改动影响域: 构建

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 16 May 2025 16:17:25 +0800

kaiming-builder (1.0.0-ok1k0.4) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 精简代码和依赖库；自包含改造；适配v10sp1; app调用
  * 其他改动影响域: 构建

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 02 May 2025 11:13:00 +0800

kaiming-builder (1.0.0-ok1k0.3) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明:
    增加子命令create-from-devsource自动补全；版本号转换；去掉依赖ostree
  * 其他改动影响域: 构建

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 30 Apr 2025 17:26:44 +0800

kaiming-builder (1.0.0-ok1k0.2) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 增加子命令create-from-devsource；优化代码
  * 其他改动影响域: 构建

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 28 Apr 2025 17:21:08 +0800

kaiming-builder (1.0.0-ok1k0.1) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: CI构建，版本增加规则
  * 其他改动影响域: 无 

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 14 Apr 2025 22:20:26 +0800

kaiming-builder (1.0.0-ok1k0.0) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 准备发布，初始化版本号
  * 其他改动影响域: 无

 -- zhaominyong <zhaominyong@kylinos.cn>  Mon, 14 Apr 2025 21:33:24 +0800

kaiming-builder (0.90.1-ok0.2k0.20) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 调用kaiming构建命令的公共方法修改，以输出kaiming的输出信息
  * 其他改动影响域: 构建

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 11 Apr 2025 15:41:50 +0800

kaiming-builder (0.90.1-ok0.2k0.19) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 缓存改造
  * 其他改动影响域: cleanup 

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 27 Mar 2025 03:52:46 +0800

kaiming-builder (0.90.1-ok0.2k0.18) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: kaiming-builder enter改造
  * 其他改动影响域: kaiming-builder enter

 -- zhaominyong <zhaominyong@kylinos.cn>  Tue, 25 Mar 2025 01:58:22 +0800

kaiming-builder (0.90.1-ok0.2k0.17) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: loong64适配改造
  * 其他改动影响域: loong64架构 

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 20 Mar 2025 20:23:32 +0800

kaiming-builder (0.90.1-ok0.2k0.16) v11-2503; urgency=medium

  * BUG: #332587 安全编译选项检查结果中，kaiming存在安全编译风险项
  * 任务: 无
  * 需求: 无
  * 其他改动说明: depends嵌套等
  * 其他改动影响域: 全领域

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 07 Mar 2025 01:44:37 +0800

kaiming-builder (0.90.1-ok0.2k0.15) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 触发安全编译
  * 其他改动影响域: 无

 -- zhaominyong <zhaominyong@kylinos.cn>  Tue, 11 Feb 2025 10:13:16 +0800

kaiming-builder (0.90.1-ok0.2k0.14) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 拆包逻辑优化
  * 其他改动影响域: 拆包

 -- zhaominyong <zhaominyong@kylinos.cn>  Wed, 15 Jan 2025 20:46:07 +0800

kaiming-builder (0.90.1-ok0.2k0.13) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 清单最新规范整改
  * 其他改动影响域: 全领域

 -- liuziwen <liuziwen@kylinos.cn>  Fri, 27 Dec 2024 09:49:12 +0800

kaiming-builder (0.90.1-ok0.2k0.12) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 使用过程中发现的一些问题修复或优化
  * 其他改动影响域: 全领域

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 03 Jan 2025 19:09:55 +0800

kaiming-builder (0.90.1-ok0.2k0.11) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 使用过程中发现的一些问题修复或优化
  * 其他改动影响域: 全领域

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 03 Jan 2025 19:09:55 +0800

kaiming-builder (0.90.1-ok0.2k0.10) v11-2503; urgency=medium
  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 使用过程中发现的一些问题修复或优化
  * 其他改动影响域: 全领域

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 11 Dec 2024 15:18:54 +0800

kaiming-builder (0.90.1-ok0.2k0.9) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 使用过程中发现的一些问题修复或优化
  * 其他改动影响域: 全领域

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 11 Dec 2024 14:04:32 +0800

kaiming-builder (0.90.1-ok0.2k0.8) v11-2503; urgency=medium

  * BUG: 无
  * 任务: 无
  * 需求: 无
  * 其他改动说明: 版本号和changelog整改
  * 其他改动影响域: 无

 -- zhaominyong <zhaominyong@kylinos.cn>  Thu, 05 Dec 2024 17:54:43 +0800

kaiming-builder (0.90.1-ok0.2k0.7) v11-2503; urgency=medium

  * BUG: 
  - 增加app的版本校验
  - 优化file与dir提示错误信息

  * 任务：无
  * 需求：无

  * 其他改动说明：无
  * 其他改动影响域：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 05 Dec 2024 10:32:10 +0800

kaiming-builder (0.1.0-1.3) nile; urgency=medium

  * 修复 jsoncpp 解析错误问题
  * 修复module下面的config-opts属性设置获取、传递问题

 -- yushuoqi <yushuoqi@kylinos.cn>  Sat, 12 Oct 2024 12:21:26 +0800

kaiming-builder (0.1.0-1.2) nile; urgency=medium

  * overlay挂载方案

 -- zhaominyong <zhaominyong@kylinos.cn>  Tue, 08 Oct 2024 19:48:13 +0800

kaiming-builder (0.1.0-1) nile; urgency=medium

  * complete kaiming-builder

 -- zhaominyong <zhaominyong@kylinos.cn>  Fri, 05 Jan 2024 10:37:49 +0800

